Subject: [PATCH v2 05/10] arm: zynq: Move slcr initialization to separate file

From: [email-masked] (Arnd Bergmann)
Date: Tue, 26 Mar 2013 21:43:23 +0000

On Tuesday 26 March 2013, Michal Simek wrote:
> Create separate slcr driver instead of pollute common code.
> 
> Signed-off-by: Michal Simek <[email-masked]>

Can't you move that code into the zynq_cpu_clk_setup function
instead, and only call of_clk_init(NULL) from platform code?

I would like to eventually add a default call to of_clk_init(NULL)
for all platforms, and that would be a step in that direction.

	Arnd